Update knowledge base name and/or description
curl --request PUT \
--url https://api.cleartalk.ai/knowledge-base/{knowledgeBaseId} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"name": "Updated Company FAQs",
"description": "Updated frequently asked questions and policies"
}
'import requests
url = "https://api.cleartalk.ai/knowledge-base/{knowledgeBaseId}"
payload = {
"name": "Updated Company FAQs",
"description": "Updated frequently asked questions and policies"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Updated Company FAQs',
description: 'Updated frequently asked questions and policies'
})
};
fetch('https://api.cleartalk.ai/knowledge-base/{knowledgeBaseId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Knowledge Base
Update knowledge base name and/or description
PUT
/
knowledge-base
/
{knowledgeBaseId}
Update knowledge base name and/or description
Authorizations
API Key for authentication
Path Parameters
Knowledge base ID from cleartalk AI
Body
application/json
Response
Knowledge base updated successfully
⌘I
